function onBegin()
    makeUnskippable()
	player.ForceCameraUpdate = true
    disableRetry()
    disableMovement()
    getLevel().SaveQuitDisabled = true
	getRoom().PauseLock = true
    wait(11)
    end

function onEnd()
    enableRetry()
    getLevel().SaveQuitDisabled = false
	getRoom().PauseLock = false
    enableMovement()
end